pcl::ShapeContext1980 Struct Reference
Module common

A point structure representing a Shape Context. More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | descriptor [1980]
float | rf [9]

## Friends

std::ostream & | operator<< (std::ostream &os, const ShapeContext1980 &p)

## Detailed Description

A point structure representing a Shape Context.

Definition at line 1269 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static int pcl::ShapeContext1980::descriptorSize | ( |  | ) |

inline static

Definition at line 1273 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ShapeContext1980 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

float pcl::ShapeContext1980::descriptor[1980]

Definition at line 1271 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< ShapeContext1980 >::copyToFloatArray().

## rf

float pcl::ShapeContext1980::rf[9]

Definition at line 1272 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp